%define prefix /usr/local
%define version 2.4m
%define bltver  2.4
%ifos darwin
%define soext	dylib
%else
%define soext	so
%endif
%define mansec	n
%define manext	%{mansec}

Summary: japanized BLT%{version}
Name: jp-blt
Version: %{version}
Release: 2a
Source: ftp.tcltk.com/pub/blt/BLT%{version}.tar.gz
Patch0:	localhost:/blt%{version}_destdir.patch
Patch1:	localhost:/blt%{version}_demos.patch
Patch2:	localhost:/blt%{version}_jp.patch
Patch3:	localhost:/blt%{version}-macosx.patch
Copyright: BSD
Group: Development/Languages/Tcl
Packager:	Keisuke Fujii <fujiik@jlcuxf.kek.jp>
BuildRoot: /var/tmp/blt-root

%description
Source package for japanized BLT%{versoin}.
The binary packages include descriptions of the functionality provided 
by each portion of this package.

%package -n jp-blt-devel
Version: %{version}
Summary: headers and static libraries
Group: Development/Languages/Tcl

%description -n jp-blt-devel
The header files and static libraries are only needed for development
of programs using the BLT library.

%package -n jp-blt-demos
Version: %{version}
Summary: Deomonstartion Programs for Japanized BLT%{version}
Group: Development/Languages/Tcl

%description -n jp-blt-demos
This is version %{version} of the BLT demonstration programs.  

%prep
%setup -n blt%{version}
%patch0 -p1 -b .destdir
%patch1 -p1 -b .demos
%patch2 -p1 -b .jp
%ifos darwin
%patch3 -p1 -b .jp
%endif

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}

%build
./configure --prefix=%{prefix}
make DEFINES="-fsigned-char -DKANJI -DKINPUT2 -DXIM_IMPROVE"

%install
make install instroot=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{prefix}/bin/bltwish
ln -s bltwish%{bltver} $RPM_BUILD_ROOT%{prefix}/bin/bltwish
ln -s blt%{bltver} $RPM_BUILD_ROOT%{prefix}/lib/blt
ln -s libBLT.%{soext}.%{bltver} $RPM_BUILD_ROOT%{prefix}/lib/libBLT.%{soext}
(cd $RPM_BUILD_ROOT%{prefix}/man/man%{mansec}
	mv bitmap.%{manext} bltbitmap.%{manext}
	mv tabset.%{manext} blttabset.%{manext}
	mv watch.%{manext} bltwatch.%{manext}
)

(cd $RPM_BUILD_ROOT%{prefix}/lib/blt%{bltver}/demos/scripts
  	sed -e "s;\.\./src/bltwish;%{prefix}/bin/bltwish;g" xcolors.tcl \
  		> xcolors.tcl.mod
	chmod 555 xcolors.tcl.mod
	mv xcolors.tcl.mod xcolors.tcl
)


%clean
rm -rf $RPM_BUILD_ROOT


%files
%dir %{prefix}/lib/blt%{bltver}/
%{prefix}/lib/blt%{bltver}/blt*
%{prefix}/lib/blt%{bltver}/dd_*
%{prefix}/lib/blt%{bltver}/pkgIndex.tcl
%{prefix}/lib/blt%{bltver}/tclIndex
%{prefix}/lib/blt
%{prefix}/lib/libBLT.%{soext}.*
%{prefix}/bin/bltwish
%{prefix}/bin/bltwish%{bltver}
%{prefix}/man/man%{mansec}/*

%files -n jp-blt-devel
%{prefix}/include/*.h
%{prefix}/lib/libBLT.%{soext}
%{prefix}/lib/libBLT.a

%files -n jp-blt-demos
%{prefix}/lib/blt%{bltver}/demos

%changelog
* Mon Apr 23 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- version 2.4m with Tcl/Tk8.0.5jp 
- 1st release built on MacOS X Release 10.0.01

* Mon Aug 28 2000 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- version 2.4m with Tcl/Tk8.0.5jp

* Mon Apr 12 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- version 2.4h with Tcl7.6jp/Tk4.2jp

* Thu Feb 11 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- version 2.3 with Tcl7.6jp/Tk4.2jp

